<?php

namespace App\Http\Controllers;
use Auth;
use Illuminate\Http\Request;
use App\User;
use App\Http\Requests;
use DB;
class FriendsController extends Controller
{
   public function index(){
        $friends = Auth::user()->friends();
        $requestSent = Auth::user()->friendRequests();
        $requestReceived = Auth::user()->friendRequestWaiting();
        return view('friends.index',compact('friends','requestSent','requestReceived'));
   }
   public function removeFriend($username){
       $user = User::where('pseudo',$username)->first();
       if(!$user){
           return redirect()->route('home')->with('info','Utilisateur introuvable');
       }
       Auth::user()->removeFriend($user);
       return redirect()->route('users.profile',['username'=>$user->pseudo])->with('success','Retiré avec succés'); 
   }
   public function addFriend($username){
       $user = User::where('pseudo',$username)->first();
       if(!$user){
           return redirect()->route('home')->with('info','Utilisateur introuvable');
       }
       if(Auth::user()->hasFriendRequestWaiting($user) || $user->hasFriendRequestWaiting(Auth::user())){
           return redirect()->route('users.profile',['username'=>$user->pseudo])->with('info','Une demande d\'ajout déja en cours');
       }
       Auth::user()->addFriend($user);
       return redirect()->route('users.profile',['username'=>$user->pseudo])->with('success','Demande envoyée'); 
   }
   public function acceptRequest($username){
       $user = User::where('pseudo',$username)->first();
       if(!$user){
           return redirect()->route('home')->with('info','Utilisateur introuvable');
       }
       DB::table('friends')
            ->where('user_id',$user->id)
            ->update(['accepted' => 1]);
       return redirect()->route('users.profile',['username'=>$user->pseudo])->with('success','Demande accéptée'); 
   }
}