<?php

namespace App\Http\Controllers;
use Auth;
use Illuminate\Http\Request;
use App\User;
use App\Http\Requests;

class UsersController extends Controller
{
    public function index()
    {
        return view('users.register');
    }
    public function create()
    {
        return view('users.register');
    }
    public function store(Request $request)
    {
        //
        $this->validate($request,[
            'email'=>'required|unique:users|max:250',
            'passe'=>'required|min:6|max:250',
            'pseudo'=>'required|unique:users|max:250'
        ]);
        User::create([
            'pseudo'=>$request->pseudo,
            'email'=>$request->email,
            'password'=>bcrypt($request->passe)
        ]);
        return redirect()->route('users.register')->with('success','Compte crée avec succés');
    }
    public function getlogin(){
        return view('users.login');
    }
    public function login(Request $request){
        $this->validate($request,[
            'email'=>'required|max:250',
            'passe'=>'required|min:6|max:250',
        ]);
        if(Auth::attempt(['email'=>$request->email,'password'=>$request->passe],$request->has('remember'))){
            return redirect()->route('home');
        }else{
            return redirect()->route('users.login')->with(['fail'=>'Email ou mot de passe est incorrect']);
        }
    }
    public function logout(){
        Auth::logout();
        return redirect()->route('home');
    }
}
