<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/',[
    'uses' => 'HomeController@index',
    'as' => 'home'
]);
/**
*inscription
*/
Route::get('/register',[
    'uses' => 'UsersController@create',
    'as' => 'users.register',
    'middleware'=>['guest']
]);
Route::post('/register',[
    'uses' => 'UsersController@store',
    'as' => 'users.register',
    'middleware'=>['guest']
]);
Route::get('/login',[
    'uses' => 'UsersController@getlogin',
    'as' => 'users.login',
    'middleware'=>['guest']
]);
Route::get('/logout',[
    'uses' => 'UsersController@logout',
    'as' => 'users.logout'
]);
Route::post('/login',[
    'uses' => 'UsersController@login',
    'as' => 'users.login',
    'middleware'=>['guest']
]);
Route::post('/search',[
    'uses' => 'SearchController@getUser',
    'as' => 'users.search'
]);
Route::get('/{username}/profile',[
    'uses' => 'ProfileController@getProfile',
    'as' => 'users.profile',
    'middleware'=>['auth']
]);
Route::get('/profile/edit',[
    'uses' => 'ProfileController@getEdit',
    'as' => 'users.update',
    'middleware'=>['auth']
]);
Route::post('/profile/edit',[
    'uses' => 'ProfileController@postEdit',
    'as' => 'users.update',
    'middleware'=>['auth']
]);
Route::get('/friends',[
    'uses' => 'FriendsController@index',
    'as' => 'users.friends',
    'middleware'=>['auth']
]);
Route::get('/{username}/add',[
    'uses' => 'FriendsController@addFriend',
    'as' => 'users.friend.add',
    'middleware'=>['auth']
]);
Route::get('/{username}/remove',[
    'uses' => 'FriendsController@removeFriend',
    'as' => 'users.friend.remove',
    'middleware'=>['auth']
]);
Route::get('/{username}/accept',[
    'uses' => 'FriendsController@acceptRequest',
    'as' => 'users.friend.accept',
    'middleware'=>['auth']
]);
Route::post('/post',[
    'uses' => 'PublicationsController@postPublication',
    'as' => 'post.add',
    'middleware'=>['auth']
]);
Route::post('/post/{postId}/reply',[
    'uses' => 'PublicationsController@postReply',
    'as' => 'post.reply',
    'middleware'=>['auth']
]);
Route::get('/post/{id}/like',[
    'uses' => 'PublicationsController@addLike',
    'as' => 'post.like',
    'middleware'=>['auth']
]);