<?php

namespace App;
use Auth;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'nom','prenom','email', 'password','pseudo','ville','pays'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];
    public function publications(){
        return $this->hasMany('App\Publication');
    }
    public function getImage(){
        return $grav_url = "https://www.gravatar.com/avatar/" . md5( strtolower( trim( $this->email ) ) ) . "?d=mm&s=40";
    }
    public function getMyFriends(){
        return $this->belongsToMany('App\User','friends','user_id','friend_id');
    }
    public function getHisFriends(){
        return $this->belongsToMany('App\User','friends','friend_id','user_id');
    }
    public function friends(){
        return $this->getMyFriends()->wherePivot('accepted',true)->get()->merge($this->getHisFriends()->wherePivot('accepted',true)->get());
    }
    public function friendRequests(){
        return $this->getMyFriends()->where('accepted',false)->get();
    }
    public function friendRequestWaiting(){
        return $this->getHisFriends()->wherePivot('accepted',false)->get();
    }
    public function hasFriendRequestWaiting(User $user){
        return (bool) $this->friendRequestWaiting()->where('id',$user->id)->count();
    }
    public function addFriend(User $user){
        $this->getMyFriends()->attach($user->id);
    }
     public function removeFriend(User $user){
        $this->getMyFriends()->detach($user->id);
        $this->getHisFriends()->detach($user->id);
    }
    public function areFriends(User $user){
        return (bool) $this->friends()->where('id',$user->id)->count();
    }
}
