@extends ('layouts.includes.main-index')
@section('content')
    <div class="row">
        <div class="col-md-8 col-md-offset-3">
            <div class="row">
                <div class="col-md-10">
                    <div class="panel panel-default">
                        <form action="{{route('post.add')}}" method="post" class="form-vertical">
                            <div class="form-group">
                                <textarea rows="2" name="status" class="form-control{{$errors->has('status') ? ' bordered' : ''}}" placeholder="Publier"></textarea>
                                    @if($errors->has('status'))
                                    <span style="color:red">{{$errors->first('status')}}</span>
                                    @endif
                            </div>
                            <div class="form-group">
                                <input type="submit" name="submit" class="btn btn-success" value="Publier">
                            </div>
                            <input type="hidden" name="_token" value="{{Session::token()}}"/>
                        </form>
                    </div>
                </div>
            </div>
            <div class="row">
                @if($pubs->count() != 0)
                <div class="col-md-10">
                    <div class="panel panel-default">
                    @foreach($pubs as $pub)
                    <div class="media">
                        <a href="{{route('users.profile',['username'=>$pub->user->pseudo])}}" class="pull-left">
                            <div class="media-object">
                                <img src="{{$pub->user->getImage()}}" class="thumbnail" alt="$pub->user->pseudo">
                            </div>
                        </a>
                        <div class="media-body">
                            <h4 class="media-heading"><a href="{{route('users.profile',['username'=>$pub->user->pseudo])}}">{{$pub->user->pseudo}}</a></h4>
                            <p>{{$pub->body}}</p>
                            <p>
                                <span class="text-success">{{$pub->created_at->diffForHumans()}} |</span>
                                <span><a href="{{route('post.like',['id'=>$pub->id])}}">like</a> |</span>
                                <span class="text-danger">{{$pub->likes->count()}} likes</span>
                            </p>
                            @foreach($pub->replies as $reply)
                            <div class="media">
                                <a href="{{route('users.profile',['username'=>$reply->user->pseudo])}}" class="pull-left">
                                    <div class="media-object">
                                        <img src="{{$reply->user->getImage()}}" class="thumbnail" alt="$reply->user->pseudo">
                                    </div>
                                </a>
                                <div class="media-body">
                                    <h4 class="media-heading"><a href="{{route('users.profile',['username'=>$pub->user->pseudo])}}">{{$reply->user->pseudo}}</a></h4>
                                    <p>{{$reply->body}}</p>
                                    <p>
                                    <span>{{$reply->created_at->diffForHumans()}}</span>
                                    </p>
                                </div>
                            </div>
                            @endforeach
                            <div>
                                <form action="{{route('post.reply',['postId'=>$pub->id])}}" method="post" class="form-vertical">
                                    <div class="form-group">
                                        <textarea rows="1" name="reponse-{{$pub->id}}" class="form-control{{$errors->has('reponse') ? ' bordered' : ''}}" placeholder="Répondre"></textarea>
                                            @if($errors->has("reponse-{$pub->id}"))
                                            <span style="color:red">{{$errors->first("reponse-{$pub->id}")}}</span>
                                            @endif
                                    </div>
                                    <div class="form-group">
                                        <input type="submit" name="submit" class="btn btn-default" value="Répondre">
                                    </div>
                                    <input type="hidden" name="_token" value="{{Session::token()}}"/>
                                </form>
                            </div>
                        </div>
                    </div>
                    <hr>
                    @endforeach
                    </div>
                    </div>
                @else
                    <p class="alert alert-info">Aucune Publication</p>
                @endif
            </div>
        </div>
    </div>
@endsection
@section('script')
@endsection