@extends ('layouts.includes.main-index')
@section('content')
    <div class="row">
        <div class="col-md-8">
            <div class="panel panel-default">
             @include('users.user-block')
                @if(Auth::user()->id != $user->id)
                    <h3 class="text-info text-center">Les publications de {{$user->pseudo}}</h3>
                @else
                    <h3 class="text-info text-center">Mes publications</h3>
                @endif
             <hr>
             <div class="row">
                @if($user->publications->count() != 0)
                    <div class="col-md-6">
                        @foreach($user->publications as $pub)
                        <div class="media">
                            <a href="{{route('users.profile',['username'=>$pub->user->pseudo])}}" class="pull-left">
                                <div class="media-object">
                                    <img src="{{$pub->user->getImage()}}" class="thumbnail" alt="$pub->user->pseudo">
                                </div>
                            </a>
                            <div class="media-body">
                                <h4 class="media-heading"><a href="{{route('users.profile',['username'=>$pub->user->pseudo])}}">{{$pub->user->pseudo}}</a></h4>
                                <p>{{$pub->body}}</p>
                                <p>
                                    <span class="text-success">{{$pub->created_at->diffForHumans()}} |</span>
                                    <span><a href="{{route('post.like',['id'=>$pub->id])}}">like</a> |</span>
                                    <span class="text-danger">{{$pub->likes->count()}} likes</span>
                                </p>
                                @foreach($pub->replies as $reply)
                                <div class="media">
                                    <a href="{{route('users.profile',['username'=>$reply->user->pseudo])}}" class="pull-left">
                                        <div class="media-object">
                                            <img src="{{$reply->user->getImage()}}" class="thumbnail" alt="$reply->user->pseudo">
                                        </div>
                                    </a>
                                    <div class="media-body">
                                        <h4 class="media-heading"><a href="{{route('users.profile',['username'=>$reply->user->pseudo])}}">{{$reply->user->pseudo}}</a></h4>
                                        <p>{{$reply->body}}</p>
                                        <p>
                                        <span>{{$reply->created_at->diffForHumans()}}</span>
                                        </p>
                                    </div>
                                </div>
                                @endforeach
                                @if(Auth::user()->id != $pub->user->id)
                                <div>
                                    <form action="{{route('post.reply',['postId'=>$pub->id])}}" method="post" class="form-vertical">
                                        <div class="form-group">
                                            <textarea rows="1" name="reponse-{{$pub->id}}" class="form-control{{$errors->has('reponse') ? ' bordered' : ''}}" placeholder="Répondre"></textarea>
                                                @if($errors->has("reponse-{$pub->id}"))
                                                <span style="color:red">{{$errors->first("reponse-{$pub->id}")}}</span>
                                                @endif
                                        </div>
                                        <div class="form-group">
                                            <input type="submit" name="submit" class="btn btn-default" value="Répondre">
                                        </div>
                                        <input type="hidden" name="_token" value="{{Session::token()}}"/>
                                    </form>
                                </div>
                                @endif
                            </div>
                        </div>
                        @endforeach
                    </div>
                    @else
                        <h3 class="text-info text-center">Aucune Publication</3>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            @if(Auth::user()->areFriends($user))
                <h4 class="text-info">Vous êtes amis avec {{$user->pseudo}}</h4>
                <hr>
                <a href="{{route('users.friend.remove',$user->pseudo)}}" class="btn btn-danger">Retirer</a>
                <hr>
            @elseif(Auth::user()->email != $user->email)
                <a href="{{route('users.friend.add',$user->pseudo)}}" class="btn btn-primary">Ajouter</a>
            @endif
            <h4  class="text-success">Amis de {{$user->pseudo}}</h4>
            <hr>
            @if(!Auth::user()->friends()->count() && Auth::user()->email == $user->email)
                <h3 class="text-danger">Vous n'avez aucun amis</h3>
            @elseif(!$user->friends()->count())
                <h3 class="text-danger"> {{$user->pseudo}} n'as aucun ami</h3>
            @else
                @foreach($user->friends() as $user)
                    @include('users.user-block')
                @endforeach
            @endif
        </div>
    </div>
@endsection